Subject: bug#77027: 31.0.50; igc branch: crash

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Mar 2025 14:32:01 +0200

> Resent-To: [email-masked]
> Cc: [email-masked]
> Date: Sat, 15 Mar 2025 11:19:02 +0000
> From:  Pip Cet via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Óscar Fuentes Óscar Fuentes <[email-masked]> writes:
> 
> > Pip Cet <[email-masked]> writes:
> >
> >> Óscar Fuentes <[email-masked]> writes:
> >>
> >>> Backtrace follows. The emacs executable was built without debug info so
> >>> function names only. Hope it is useful as a data point.
> >>
> >> Does xbacktrace not work in that build?
> >
> > Nope.
> >
> >> In any case, this looks very similar to bug#76847, which was fixed in
> >> the revision after the one your Emacs was built from.
> >
> >> bug#76847 also involved key-chord-mode, I think.
> >
> > Okay, then I'll build Emacs (this time with debug info!)
> >
> > Usually I keep the same Emacs session until something forces me to close
> > it, which sometimes means several weeks. At that point Emacs is rebuilt
> > against HEAD. For igc, I think there is value on seeing how Emacs
> > behaves on that type of usage.
> 
> I don't know what's the best strategy here.  Maybe Eli has some advice.

There are no magic wands I know of.  One idea I can suggest is to
rebuild and restart a session whenever significant changes are
installed on the branch, especially if they are fixes of crashes
relevant to your platform.  Since the branch receives relatively few
changes lately, this would still allow you to run the same session for
prolonged times, something that indeed is useful and helpful.